package product

import "errors"

var (
	ErrFailedGetProductList      = errors.New("failed to get products list")
	ErrFailedCreateProduct       = errors.New("failed to create product")
	ErrFailedFindProduct         = errors.New("failed to find product")
	ErrCantAccessToUpdateProduct = errors.New("you are not allowed to edit this product")
	ErrFailedUpdateProduct       = errors.New("failed to update product")
	ErrFailedToPreparedStatement = errors.New("failed to prepared statement: %v")
	ErrCantAccess                = errors.New("you are not allowed to this action")
)
